############################################################################
# Copyright (C) 2002 David Lucardi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.
############################################################################
# File  : fichier.php
# Author  : David Lucardi
#           mailto: DavidLucardi@aol.com
# Date    : 26/04/2002
# Licence : GNU/GPL Version 2 ou plus
#
# Description:
# ------------
#
# @version    $Id: associations.tcl,v 1.1.1.1 2003/11/11 10:40:43 erics Exp $
# @author     David Lucardi
# @project
# @copyright  David Lucardi 26/04/2002
#
#
#########################################################################
#!/bin/sh
#associations.tcl
# Licence : GNU/GPL Version 2 ou plus
# \
exec wish "$0" ${1+"$@"}





global gettext basedir Homeconf plateforme
set plateforme $tcl_platform(platform)
set ident $tcl_platform(user)

source fonts.tcl
source path.tcl
source [file join msgs associations_i18n.fr]

init $plateforme
inithome
initlog $plateforme $ident
changehome


#wm resizable . 0 0
. configure -background #ffff80 


###########################################
proc interface {} {

global gettext Home basedir sysFont progaide plateforme
variable repert
variable repertcat

catch {destroy .menu}
catch {destroy .wleft}
catch {destroy .wcenter}
catch {destroy .wright}

menu .menu -tearoff 0

# Creation du menu Fichier
menu .menu.fichier -tearoff 0
.menu add cascade -label $gettext(Fichier) -menu .menu.fichier
.menu.fichier add command -label $gettext(Editeur) -command "lanceappli editeur.tcl 1"
.menu.fichier add command -label $gettext(Bilans) -command "lanceappli bilan.tcl 1"
.menu.fichier add sep
.menu.fichier add command -label $gettext(Quitter) -command exit

menu .menu.option -tearoff 0
.menu add cascade -label $gettext(Options) -menu .menu.option
.menu.option add command -label $gettext(Reglages) -command "lanceappli reglages.tcl 1"
if {[catch {package require snack}]} {
} else {
.menu.option add command -label $gettext(Gestion_son) -command "lanceappli gestionson.tcl 1"
}

menu .menu.option.repbase -tearoff 0 
.menu.option add cascade -label $gettext(Option1) -menu .menu.option.repbase
catch {
foreach i [lsort [glob [file join $Home categorie cat_*]]] {
.menu.option.repbase add radio -label [file tail $i] -variable repertcat -value [file tail $i] -command "changerepbasecat [file tail $i]"
}
}

menu .menu.option.repwork -tearoff 0 
.menu.option add cascade -label $gettext(Option2) -menu .menu.option.repwork 
.menu.option.repwork add radio -label $gettext(Option21) -variable repert -value 0 -command "changeinterface"
.menu.option.repwork add radio -label $gettext(Option22) -variable repert -value 1 -command "changeinterface"


menu .menu.action -tearoff 0
.menu add cascade -label $gettext(Activites) -menu .menu.action
menu .menu.action.m1 -tearoff 0
.menu.action add cascade -label $gettext(Exo1) -menu .menu.action.m1
.menu.action.m1 add command -label $gettext(Facile) -command "lanceappli associe1.tcl 1"
.menu.action.m1 add command -label $gettext(Difficile) -command "lanceappli associe1.tcl 2"

menu .menu.action.m2 -tearoff 0
.menu.action add cascade -label $gettext(Exo2) -menu .menu.action.m2
.menu.action.m2 add command -label "$gettext(Facile)" -command "lanceappli associe2.tcl 1"
.menu.action.m2 add command -label "$gettext(Difficile)" -command "lanceappli associe2.tcl 2"

menu .menu.action.m3 -tearoff 0
.menu.action add cascade -label $gettext(Exo3) -menu .menu.action.m3
.menu.action.m3 add command -label $gettext(Facile) -command "lanceappli associe4.tcl 1"
.menu.action.m3 add command -label $gettext(Difficile) -command "lanceappli associe14.tcl 1"
menu .menu.action.m4 -tearoff 0
.menu.action add cascade -label $gettext(Exo4) -menu .menu.action.m4
.menu.action.m4 add command -label $gettext(Facile) -command "lanceappli associe10.tcl 1"
.menu.action.m4 add command -label $gettext(Difficile) -command "lanceappli associe13.tcl 1"
.menu.action add command -label "$gettext(Exo5)" -command "lanceappli associe3.tcl 1"
.menu.action add command -label "$gettext(Exo6)" -command "lanceappli associe5.tcl 1"
.menu.action add command -label "$gettext(Exo7)" -command "lanceappli associe6.tcl 1"
.menu.action add command -label "$gettext(Exo8)" -command "lanceappli associe7.tcl 1"
.menu.action add command -label "$gettext(Exo9)" -command "lanceappli associe9.tcl 1"
.menu.action add command -label "$gettext(Exo10)" -command "lanceappli associe11.tcl 1"
if {[catch {package require snack}]} {
} else {
.menu.action add command -label "$gettext(Exo11)" -command "lanceappli associe8.tcl 1"
.menu.action add command -label "$gettext(Exo12)" -command "lanceappli associe12.tcl 1"
}

if {$plateforme == "windows"} {
.menu add command -label "$gettext(user)" -command "setwindowsusername"
}

menu .menu.aide -tearoff 0
.menu add cascade -label "?" -menu .menu.aide
set fichier [file join $basedir aide index.htm]
.menu.aide add command -label $gettext(Aide) -command "exec $progaide \042$fichier\042 &"

. configure -menu .menu


#######################################################################"
. configure -background blue
frame .wleft -background blue -height 300 -width 200
pack .wleft -side left


label .wleft.labA1 -text "$gettext(Exo1a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA1 -side top -anchor w
bind .wleft.labA1 <1> "lanceappli associe1.tcl 1"
bind .wleft.labA1 <Any-Enter> ".wleft.labA1 configure -foreground yellow"
bind .wleft.labA1 <Any-Leave> ".wleft.labA1 configure -foreground orange"

label .wleft.labA2 -text "$gettext(Exo1b)"  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA2 -side top -anchor w
bind .wleft.labA2 <1> "lanceappli associe1.tcl 2"
bind .wleft.labA2 <Any-Enter> ".wleft.labA2 configure -foreground yellow"
bind .wleft.labA2 <Any-Leave> ".wleft.labA2 configure -foreground orange"

label .wleft.labA3 -text "$gettext(Exo2a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA3 -side top -anchor w
bind .wleft.labA3 <1> "lanceappli associe2.tcl 1"
bind .wleft.labA3 <Any-Enter> ".wleft.labA3 configure -foreground yellow"
bind .wleft.labA3 <Any-Leave> ".wleft.labA3 configure -foreground orange"

label .wleft.labA4 -text "$gettext(Exo2b)"  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA4 -side top -anchor w
bind .wleft.labA4 <1> "lanceappli associe2.tcl 2"
bind .wleft.labA4 <Any-Enter> ".wleft.labA4 configure -foreground yellow"
bind .wleft.labA4 <Any-Leave> ".wleft.labA4 configure -foreground orange"

label .wleft.labA5 -text "$gettext(Exo3a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA5 -side top -anchor w
bind .wleft.labA5 <1> "lanceappli associe4.tcl 1"
bind .wleft.labA5 <Any-Enter> ".wleft.labA5 configure -foreground yellow"
bind .wleft.labA5 <Any-Leave> ".wleft.labA5 configure -foreground orange"

label .wleft.labA6 -text "$gettext(Exo3b)"  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA6 -side top -anchor w
bind .wleft.labA6 <1> "lanceappli associe14.tcl 1"
bind .wleft.labA6 <Any-Enter> ".wleft.labA6 configure -foreground yellow"
bind .wleft.labA6 <Any-Leave> ".wleft.labA6 configure -foreground orange"

label .wleft.labA7 -text "$gettext(Exo4a)"  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA7 -side top -anchor w
bind .wleft.labA7 <1> "lanceappli associe10.tcl 1"
bind .wleft.labA7 <Any-Enter> ".wleft.labA7 configure -foreground yellow"
bind .wleft.labA7 <Any-Leave> ".wleft.labA7 configure -foreground orange"

label .wleft.labA8 -text "$gettext(Exo4b)"  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA8 -side top -anchor w
bind .wleft.labA8 <1> "lanceappli associe13.tcl 1"
bind .wleft.labA8 <Any-Enter> ".wleft.labA8 configure -foreground yellow"
bind .wleft.labA8 <Any-Leave> ".wleft.labA8 configure -foreground orange"


frame .wcenter -background blue -height 300 -width 200
pack .wcenter -side left

frame .wright -background blue -height 300 -width 200
pack .wright -side left
label .wright.labA1 -text "$gettext(Exo5a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA1 -side top -anchor e
bind .wright.labA1 <1> "lanceappli associe3.tcl 1"
bind .wright.labA1 <Any-Enter> ".wright.labA1 configure -foreground yellow"
bind .wright.labA1 <Any-Leave> ".wright.labA1 configure -foreground orange"

label .wright.labA2 -text "$gettext(Exo6a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA2 -side top -anchor e
bind .wright.labA2 <1> "lanceappli associe5.tcl 1"
bind .wright.labA2 <Any-Enter> ".wright.labA2 configure -foreground yellow"
bind .wright.labA2 <Any-Leave> ".wright.labA2 configure -foreground orange"

label .wright.labA3 -text "$gettext(Exo7a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA3 -side top -anchor e
bind .wright.labA3 <1> "lanceappli associe6.tcl 1"
bind .wright.labA3 <Any-Enter> ".wright.labA3 configure -foreground yellow"
bind .wright.labA3 <Any-Leave> ".wright.labA3 configure -foreground orange"

label .wright.labA4 -text "$gettext(Exo8a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA4 -side top -anchor e
bind .wright.labA4 <1> "lanceappli associe7.tcl 1"
bind .wright.labA4 <Any-Enter> ".wright.labA4 configure -foreground yellow"
bind .wright.labA4 <Any-Leave> ".wright.labA4 configure -foreground orange"


label .wright.labA5 -text "$gettext(Exo9a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA5 -side top -anchor e
bind .wright.labA5 <1> "lanceappli associe9.tcl 1"
bind .wright.labA5 <Any-Enter> ".wright.labA5 configure -foreground yellow"
bind .wright.labA5 <Any-Leave> ".wright.labA5 configure -foreground orange"

label .wright.labA6 -text "$gettext(Exo10a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA6 -side top -anchor e
bind .wright.labA6 <1> "lanceappli associe11.tcl 1"
bind .wright.labA6 <Any-Enter> ".wright.labA6 configure -foreground yellow"
bind .wright.labA6 <Any-Leave> ".wright.labA6 configure -foreground orange"

if {[catch {package require snack}]} {
} else {
label .wright.labA7 -text "$gettext(Exo11a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA7 -side top -anchor e
bind .wright.labA7 <1> "lanceappli associe8.tcl 1"
bind .wright.labA7 <Any-Enter> ".wright.labA7 configure -foreground yellow"
bind .wright.labA7 <Any-Leave> ".wright.labA7 configure -foreground orange"

label .wright.labA8 -text "$gettext(Exo12a)" -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA8 -side top -anchor e
bind .wright.labA8 <1> "lanceappli associe12.tcl 1"
bind .wright.labA8 <Any-Enter> ".wright.labA8 configure -foreground yellow"
bind .wright.labA8 <Any-Leave> ".wright.labA8 configure -foreground orange"
}

set myimage [image create photo -file sysdata/background.gif]
label .wcenter.imagedisplayer -image $myimage -background blue
pack .wcenter.imagedisplayer -side top

}


#####################################################################"

#################
# Image de fond #
#################


############
# Bindings #
############
bind . <Control-q> {exit}


proc changeinterface {} {
changehome
interface
}


proc lanceappli {appli niveau} {
global iwish
set appli [file join $appli]
exec $iwish $appli $niveau &
}

interface








